package com.gh.gamecenter.gamedetail.dialog

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

class SpecialDownloadVisibilityViewModel: ViewModel() {

    private val _specialDownloadDialogVisibleLiveData: MutableLiveData<Boolean> = MutableLiveData()
    val specialDownloadVisibleLiveData: LiveData<Boolean> = _specialDownloadDialogVisibleLiveData

    fun updateSpecialDownloadDialogVisibility(isVisible: Boolean) {
        _specialDownloadDialogVisibleLiveData.value = isVisible
    }

}